Debian Bug report logs - #389591
RFP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Juan Manuel Coronado Zúñiga <juan.coronado@avatar.com.co>

Date: Tue, 26 Sep 2006 16:48:11 UTC

Severity: wishlist

Merged with 513606

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>:
Bug#389591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Juan Manuel Coronado Zúñiga <juan.coronado@avatar.com.co>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juan Manuel Coronado Zúñiga <juan.coronado@avatar.com.co>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.
Date: Tue, 26 Sep 2006 11:45:46 -0500
Package: wnpp
Severity: wishlist
Owner: "Juan Manuel Coronado Z." <juan.coronado@avatar.com.co>



* Package name    : freeswitch
  Version         : 0.0.rev2838-1
  Upstream Author : Anthony Minessale II <anthmct@yahoo.com>
* URL             : http://www.freeswitch.org/
* License         : MPL 1.1
  Programming Lang: C
  Description     : Modular Media Switching Software Library and Soft-Switch Application.

 FreeSWITCH makes it possible to build a PBX system or a VoIP switching
 platform as well as unite various technologies such as SIP, IAX2, Jingle
 (GoogleTalk), H.323, LDAP, Zeroconf, etc.
 .
 FreeSWITCH can also be used to interface with other open source PBX
 systems such as Asterisk, Bayonne, OpenPBX or YATE, and supports many
 TDM hardware.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-386
Locale: LANG=es_ES, LC_CTYPE=es_ES (charmap=ISO-8859-1)



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Juan Manuel Coronado Zúñiga <juan.coronado@avatar.com.co>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 389591-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 389591-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 01 Oct 2007 12:00:17 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 389591
 stop

Further comments on the work done in the bug sent to
389591@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>:
Bug#389591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Juan Manuel Coronado Z." <juan.coronado@avatar.com.co>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>. Full text and rfc822 format available.

Message #15 received at 389591@bugs.debian.org (full text, mbox):

From: "Juan Manuel Coronado Z." <juan.coronado@avatar.com.co>
To: 389591@bugs.debian.org
Subject: Re: Bug#389591 closed by David Moreno Garza <damog@merkel.debian.org> (WNPP bug closing)
Date: Fri, 05 Oct 2007 09:35:40 -0500
Greetings,

FS was on an very early stage when I made the ITP. However the software
is a lot more mature now and I've been using it, and working on this
package lately and therefore I want to reopen the ITP wnpp bug.

Regards,

-- 
Juan Manuel Coronado Z.


Debian Bug Tracking System escribió:
> This is an automatic notification regarding your Bug report
>   
> which was filed against the wnpp package:
>
> #389591: ITP: freeswitch -- Modular Media Switching Software Library
> and Soft-Switch Application.
>
> It has been closed by David Moreno Garza <damog@merkel.debian.org>.
>
> Their explanation is attached below. If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact David Moreno Garza
> <damog@merkel.debian.org> by replying
> to this email.
>
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
>
>
> ------------------------------------------------------------------------
>
> Asunto:
> WNPP bug closing
> De:
> David Moreno Garza <damog@merkel.debian.org>
> Fecha:
> Mon, 01 Oct 2007 12:00:17 -0600
> Para:
> 389591-done@bugs.debian.org
>
> Para:
> 389591-done@bugs.debian.org
>
> Received:
> (at 389591-done) by bugs.debian.org; 1 Oct 2007 18:00:18 +0000
> X-Spam-Checker-Version:
> SpamAssassin 3.1.4-bugs.debian.org_2005_01_02 (2006-07-26) on
> rietz.debian.org
> X-Spam-Status:
> No, score=-3.8 required=4.0 tests=ALL_TRUSTED,BAYES_00,FOURLA
> autolearn=no version=3.1.4-bugs.debian.org_2005_01_02
> Return-path:
> <damog@merkel.debian.org>
> Received:
> from merkel.debian.org ([192.25.206.16] ident=Debian-exim) by
> rietz.debian.org with esmtp (Exim 4.50) id 1IcPZ4-0000OV-Fi for
> 389591-done@bugs.debian.org; Mon, 01 Oct 2007 18:00:18 +0000
> Received:
> from damog by merkel.debian.org with local (Exim 4.50) id
> 1IcPZ3-0004CJ-QY for 389591-done@bugs.debian.org; Mon, 01 Oct 2007
> 12:00:17 -0600
> Message-ID:
> <E1IcPZ3-0004CJ-QY@merkel.debian.org>
>
>
> Hello,
>
> This is an automatic mail sent to close the ITP you have reported or 
> are involved with.
>
> Your ITP wnpp bug is being closed because of the following reasons:
> - It is, as of today, older than 365 days.
> - It hasn't had any activity recently.
>
> As this is an automatic procedure, it could of course have something
> wrong and probably it would be closing some bugs that are not 
> intended by owners and submitters (like you) to be closed, for
> example if the ITP is still of your interest, or there has been 
> some kind of activity around it. In that case, please reopen the
> bug, do it, DO IT NOW! (I don't want to be blamed because of
> mass closing and not let people know that they can easily reopen
> their bugs ;-).
>
> To re-open it, you simply have to mail control@bugs.debian.org
> with a body text like this:
>
>  reopen 389591
>  stop
>
> Further comments on the work done in the bug sent to
> 389591@bugs.debian.org would be truly welcomed.
> Anyway, if you have any kind of problems when dealing with
> the BTS, feel free to contact me and I'd be more than happy to help
> you on this: <damog@debian.org>.
>
> A similar process is being applied to other kind of wnpp bugs.
>
> Thanks for your cooperation,
>
>  -- David Moreno Garza <damog@debian.org>.
>  
>
>   






Bug reopened, originator not changed. Request was from "Juan Manuel Coronado Z." <juan.coronado@avatar.com.co> to control@bugs.debian.org. (Fri, 05 Oct 2007 14:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>:
Bug#389591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sjoerd Simons <sjoerd@luon.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>. Full text and rfc822 format available.

Message #22 received at 389591@bugs.debian.org (full text, mbox):

From: Sjoerd Simons <sjoerd@luon.net>
To: "Juan Manuel Coronado Z." <juan.coronado@avatar.com.co>, 389591@bugs.debian.org
Subject: Re: Bug#389591: closed by David Moreno Garza <damog@merkel.debian.org> (WNPP bug closing)
Date: Tue, 6 May 2008 19:02:40 +0200
On Fri, Oct 05, 2007 at 09:35:40AM -0500, Juan Manuel Coronado Z. wrote:
> Greetings,
> 
> FS was on an very early stage when I made the ITP. However the software
> is a lot more mature now and I've been using it, and working on this
> package lately and therefore I want to reopen the ITP wnpp bug.

About 6 months later... How is the ITP progressing ?


  Sjoerd




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>:
Bug#389591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Cupis <paul@cupis.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>. Full text and rfc822 format available.

Message #27 received at 389591@bugs.debian.org (full text, mbox):

From: Paul Cupis <paul@cupis.co.uk>
To: 389591@bugs.debian.org
Subject: Freeswitch debian package
Date: Sat, 31 May 2008 15:14:50 +0100
Hi,

FreeSWITCH v1.0 was released recently.

Is there any progress in packaging it, please? Do you have an WIP 
pacakges to be tested?

I notice that upstream has a debian/ directory and they give 
instructions to build a package at 
<http://wiki.freeswitch.org/wiki/Installation_Guide#Debian_Linux> - has 
anyone tested this to see if it is suitable for inclusion in the archive?

Regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>:
Bug#389591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Juan Manuel Coronado Z. <juan.coronado@avatar.com.co>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "juan manuel coronado z." <juan.coronado@avatar.com.co>. Full text and rfc822 format available.

Message #32 received at 389591@bugs.debian.org (full text, mbox):

From: Juan Manuel Coronado Z. <juan.coronado@avatar.com.co>
To: Paul Cupis <paul@cupis.co.uk>, 389591@bugs.debian.org
Subject: Re: Bug#389591: Freeswitch debian package
Date: Thu, 05 Jun 2008 12:41:19 -0500
Hi,

I haven´t been able to work very much on this package. 

As you just said, the first stable version was recently published.

I'm still interested in working on this package for Debian, but it needs a 
lot of work and unfortunely for me, time to do it is something I don't 
seem to have in the short term.

If someone wants to work on the FS package, it might find an easier way 
than when I first made the ITP.

FS it's a great software and deserves the best packaging.

Regards,

--
Juan M. Coronado Z.

Paul Cupis writes:

> Hi,
> 
> FreeSWITCH v1.0 was released recently.
> 
> Is there any progress in packaging it, please? Do you have an WIP 
> pacakges to be tested?
> 
> I notice that upstream has a debian/ directory and they give 
> instructions to build a package at 
> <http://wiki.freeswitch.org/wiki/Installation_Guide#Debian_Linux> - has 
> anyone tested this to see if it is suitable for inclusion in the archive?
> 
> Regards,
> 
> 




Owner changed from "juan manuel coronado z." <juan.coronado@avatar.com.co> to Nicholas Amorim <nicholas@montrealconsultoria.com.br>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 30 Jan 2009 23:18:03 GMT) Full text and rfc822 format available.

Forcibly Merged 389591 513606. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 30 Jan 2009 23:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Sat, 02 May 2009 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Sat, 02 May 2009 06:54:04 GMT) Full text and rfc822 format available.

Message #41 received at 389591@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: "Juan Manuel Coronado Z." <juan.coronado@avatar.com.co>, 389591@bugs.debian.org
Cc: Nicholas Amorim <nicholas@montrealconsultoria.com.br>
Subject: Re: Bug#389591: Freeswitch debian package
Date: Sat, 2 May 2009 08:49:55 +0200
[Message part 1 (text/plain, inline)]
also sprach Juan Manuel Coronado Z. <juan.coronado@avatar.com.co> [2008.06.05.1941 +0200]:
> I'm still interested in working on this package for Debian, but it
> needs a lot of work and unfortunely for me, time to do it is
> something I don't  seem to have in the short term.

Any news on this?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"we are trapped in the belly of this horrible machine,
 and the machine is bleeding to death."
                                        -- godspeed you black emperor!
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Fri, 24 Jul 2009 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sdjernes@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Fri, 24 Jul 2009 08:03:02 GMT) Full text and rfc822 format available.

Message #46 received at 389591@bugs.debian.org (full text, mbox):

From: sdjernes@gmail.com
To: 389591@bugs.debian.org
Subject: Request for Inclusion to Unstable
Date: Fri, 24 Jul 2009 02:54:35 -0500 (Central Daylight Time)
[Message part 1 (text/plain, inline)]
FreeSwitch is undergoing rapid development and builds cleanly on i386 / amd64 with the native debian/ directory in the SVN and tar ball. 

What is needed to get this package added to unstable or testing?&nbsp; The shipping stable package is 1.0.4pre9 which is plenty stable for insertion.

Thank You for Considering this Addition.
-- 
Shawn L. Djernes
SD Consulting
shawn@djernes.org | sdjernes@gmail.com
MSN: wizardwlf@hotmail.com
402.345.7734 | 402.350.6973 Cell
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Tue, 18 Aug 2009 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Tue, 18 Aug 2009 08:30:03 GMT) Full text and rfc822 format available.

Message #51 received at 389591@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: 389591@bugs.debian.org
Subject: ITP: freeswitch
Date: Tue, 18 Aug 2009 10:28:39 +0200
Is there any new news on this? What are the problems that prevent the 
packaging?

Thanks in advance,

Jelle




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Wed, 23 Sep 2009 11:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Wed, 23 Sep 2009 11:57:13 GMT) Full text and rfc822 format available.

Message #56 received at 389591@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Jelle de Jong <jelledejong@powercraft.nl>
Cc: 389591@bugs.debian.org
Subject: Re: ITP: freeswitch
Date: Wed, 23 Sep 2009 13:57:12 +0300
On Tue, Aug 18, 2009 at 10:28:39AM +0200, Jelle de Jong wrote:
> Is there any new news on this? What are the problems that prevent the  
> packaging?
>
> Thanks in advance,

The FreeSwitch tarball has some 10MB-20MB of code and more than 100MB of
extra libraries included inline. Most (if not all) of them are included
in Debian. One of them not included is openzap .

IIRC it installs under /opt (but I may be confusing it with another
program).

In short, there's some Debianization work to do.

I'm currently busy with some other things, and thus it's rather low on
my priority list.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Sat, 02 Jan 2010 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Sat, 02 Jan 2010 04:27:03 GMT) Full text and rfc822 format available.

Message #61 received at 389591@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: 389591@bugs.debian.org
Subject: confirmation and more information
Date: Fri, 1 Jan 2010 23:15:32 -0500
[Message part 1 (text/plain, inline)]
I confirm the current freeswitch upstream package installs in /opt:

    Library directory : ................... /opt/freeswitch/lib
    Program directory : ................... /opt/freeswitch/bin
    Pkgconfig directory : ................. /opt/freeswitch/lib/pkgconfig
    HTML docs directory : ................. /opt/freeswitch/share/doc/libsndfile1-dev/html

...which is rather silly. 

The upstream is now at 1.0.4:

http://www.freeswitch.org/node/184

... even though bug reports are not accepted for that version anymore
(!):

http://freeswitch.org/node/221

The latest "official" release is 1.0.5 Pre-release 10:

http://files.freeswitch.org/freeswitch-1.0.5pre10.tar.gz

but developers seem to be encouraging use of the SVN version, so an
unstable package should probably be built straight from SVN then follow
1.0.5 once it's released. 1.0.4 could also be considered as a starting
point.

I also confirm that a lot of third party libraries are builded with the
upstream distribution, which packs a hefty 63M of size for 1.0.5
snapshot available on latest.freeswitch.org. Compare this to 31M for the
1.0.4 release.

Here are the libraries in libs/

apr         esl      libdingaling  libsndfile   pcre       speex   tiff-3.8.2  xmlrpc-c
apr-util    iksemel  libedit       libteletone  portaudio  sqlite  udns        yaml
broadvoice  ilbc     libg722_1     miniupnpc    sofia-sip  srtp    unimrcp
curl        js       libnatpmp     openzap      spandsp    stfu    win32

of those, the following are duplicates of Debian, AFAIK:

apr
apr-util
curl
iksemel
libsndfile
pcre
portaudio
sofia-sip
speex
sqlite
spandsp
srtp
tiff
udns
yaml?

There may be more, others mentionned openzap but I couldn't find it
using a quick apt-cache search.

I don't think I'll have the time to work more on this, but I'm also
interested in seeing this enter the archive and volunteer for testing
in my rare spare time.

A.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Sat, 02 Jan 2010 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Sat, 02 Jan 2010 06:51:03 GMT) Full text and rfc822 format available.

Message #66 received at 389591@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: 389591@bugs.debian.org
Subject: celt
Date: Sat, 2 Jan 2010 01:48:47 -0500
[Message part 1 (text/plain, inline)]
Oh and another thing: dpkg-buildpackage will actually use wget to fetch
one more library:

http://files.freeswitch.org/downloads/libs/celt-0.7.0-1.tar.gz

I have no idea what that is or if it's already been packaged for debian.
There could also be other files downloaded and built on the fly like
this during the build, I haven't thoroughly checked.

-- 
Premature optimization is the root of all evil
                        - Donald Knuth
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Sat, 02 Jan 2010 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Sat, 02 Jan 2010 08:33:03 GMT) Full text and rfc822 format available.

Message #71 received at 389591@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: 389591@bugs.debian.org
Subject: package testing
Date: Sat, 2 Jan 2010 03:28:43 -0500
[Message part 1 (text/plain, inline)]
So after a good hour or two of compiling the world, I was able to
generate debian packages out of the 1.0.5-20100101-0400 snapshot.

freeswitch can be started with:

/opt/freeswitch/bin/freeswitch -u freeswitch -c -nf

I'm not sure everything is in order. I can't get the IVR demo to work
and i'm also having trouble with conferences. But simple SIP routing,
echo tests and the nice tetris song work well.

all in all, there are a few more libraries dynamicall downloaded during
the build process, which makes the end picture look like this:

apr                  json-c-0.8.tar.gz         libsndfile     sqlite
apr-util             lame-3.97                 libteletone    srtp
broadvoice           lame-3.97.tar.gz          miniupnpc      stfu
celt-0.7.0-1         libdingaling              mpg123         tiff-3.8.2
celt-0.7.0-1.tar.gz  libedit                   mpg123.tar.gz  udns
curl                 libg722_1                 openzap        unimrcp
esl                  libmemcached-0.32         pcre           win32
iksemel              libmemcached-0.32.tar.gz  portaudio      xmlrpc-c
ilbc                 libnatpmp                 sofia-sip      yaml
js                   libshout-2.2.2            spandsp
json-c-0.8           libshout-2.2.2.tar.gz     speex

So the externally downloaded (which are probably also duplicates of
existing packages too) are:

celt-0.7.0-1, json-c-0.8, lame-3.97, libmemcached-0.32, libshout-2.2.2
and mpg123

I suspect that lame and mpg123 are also non-free.

I haven't found out how to get rid of those internal dependencies.
Everything is hidden under a pile of automake stuff in upstream's
Makefile.am. I *think* it all revolves around the CORE_LIBS variable,
but that's as far as I got.

So the way forward here would be probably to ask upstream how we're
supposed to integrate this with existing distributions that already
bundle those libraries. I can't believe we're actually support to
package it this way, there's gotta be an easier way. Namely, upstream
should provide a simpler tarball without all those libraries, and a way
to link with existing ones in the automake toolchain directly.

Then the package will need to be fixed to move out of /opt. I think that
we could start with /usr/lib/freeswitch for now, but that's not quite
standard, as we will need to split things around /usr... not sure how to
do that by looking at the Makefile.am.

Finally, non-free bits should be removed (lame and mpg123 come to mind).

So bottomline, what's missing here is this:

 1. get rid of the duplicate libraries, which involves:
   a. asking help upstream, which will imply:
   b. removing the library code from the tarball, and;
   c. link with existing libraries.
 2. move the binaries out of /opt:
   a. try to move to /usr/lib/freeswitch, then;
   b. split configuration files, libraries and binaries in proper paths
   (/etc/freeswitch, /usr/lib, /usr/bin, etc)
 3. remove non-free bits (mpg123 and lame on the radar right now)

We're not there yet, but at least that looks like a reasonable task
list...

A.

-- 
La guerre, c'est le massacre d'hommes qui ne se connaissent pas,
au profit d'hommes qui se connaissent mais ne se massacreront pas.
                        - Paul Valéry
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Sat, 02 Jan 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Sat, 02 Jan 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #76 received at 389591@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@koumbit.org>
To: 389591@bugs.debian.org
Subject: part 1.a done
Date: Sat, 2 Jan 2010 18:06:53 -0500
[Message part 1 (text/plain, inline)]
I opened an issue upstream about the build system:

http://jira.freeswitch.org/browse/FSBUILD-227

... and another one about the files location:

http://jira.freeswitch.org/browse/FSBUILD-228

We'll see how it goes.

-- 
Antoine Beaupré
Réseau Koumbit Networks
+1.514.387.6262
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Sun, 03 Jan 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Sun, 03 Jan 2010 21:24:03 GMT) Full text and rfc822 format available.

Message #81 received at 389591@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@koumbit.org>
To: 389591@bugs.debian.org
Subject: status update
Date: Sun, 3 Jan 2010 16:20:50 -0500
[Message part 1 (text/plain, inline)]
So, I had a lenghty discussion with upstream that is summarized here:

http://jira.freeswitch.org/browse/FSBUILD-227#action_18819

Basically, things are not as bright as I thought they were. Looking back
at the original plan:

 1. get rid of the duplicate libraries, which involves:
   a. asking help upstream, which will imply:
   b. removing the library code from the tarball, and;
   c. link with existing libraries.
 2. move the binaries out of /opt:
   a. try to move to /usr/lib/freeswitch, then;
   b. split configuration files, libraries and binaries in proper paths
   (/etc/freeswitch, /usr/lib, /usr/bin, etc)
 3. remove non-free bits (mpg123 and lame on the radar right now)

2 and 3 shouldn't be a problem. 3 will be a patch local to Debian
(although a flag to disable those libraries would probably be accepted
upstream). 2 is being worked on in:

http://jira.freeswitch.org/browse/FSBUILD-220

and

http://jira.freeswitch.org/browse/FSBUILD-228

1 is much harder. The problem is that the duplicate libraries have a
very good reason for living in the FreeSWITCH tree: they fix stuff. They
have been working on those to fix crashes and performance issues all
over the place. Simply linking against system libraries (1.c) will just
not work and FreeSWITCH just crashes on startup when compiled like this
(according to MikeJ).

FreeSWITCH will probably keep on bundling patched third-party libraries
and *require* those to function properly, for the foreseeable future 

This means that those libraries will have to be in some cases repackaged
to comply with the Debian Policy (section 4.13). A good example is
libiax: upstream is refusing the patches, so there's no way for those
guys to make libiax work for them and they made a fork. In the long run,
they will try to make that fork official and switch to a different
namespace so that those forks can be officially packaged by distros.

In other cases, it's just a matter of merging the patches into the
third-party libraries upstream. A good example is APR: the FS folks have
implemented fixes for threaded environments and memory allocation that
will eventually be accepted in APR, but since they break the API, that
won't happen before 1.4 is released (and which is not in Debian yet).

All that said, our roadmap here becomes:

 1. fix the duplicate code problem, which involves:
    a. namespace separation between forked and official libraries (e.g.
       libiax)
    b. upstream merge (and release!) of fixes for non-forked libs (e.g.
       APR)
    c. dropping the other libraries (e.g. sqlite)
 2. move out of /opt:
    a. create flags for various locations
    b. use those flags in the official debian package
 3. remove non-free bits

1 is followed up in http://jira.freeswitch.org/browse/FSBUILD-227

2.a is http://jira.freeswitch.org/browse/FSBUILD-220

2.b is http://jira.freeswitch.org/browse/FSBUILD-228

So there we are.

-- 
Antoine Beaupré
Réseau Koumbit Networks
+1.514.387.6262
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Mon, 22 Feb 2010 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian May <brian@microcomaustralia.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Mon, 22 Feb 2010 02:36:03 GMT) Full text and rfc822 format available.

Message #86 received at 389591@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: 389591@bugs.debian.org
Subject: status update
Date: Mon, 22 Feb 2010 13:33:02 +1100
Hello,

I would really like to see Freeswitch in Debian.

Some suggestions:

1. For an initial version of the package, just create (yes duplicate)
private libraries, maybe in /usr/lib/freeswitch - it sounds like doing
this correctly will take a lot of time.

2. For a long term solution for 1, where upstream is not interested in
merging changes, maybe the Debian maintainers might be more open?

3. For /etc I suggest following the example of shorewall - leave the
conf directory empty, and allow the system administrator to copy demo
files from /usr/share/doc/freeswitch/examples if desired. I think
freeswitch configuration is sufficiently complex enough that we don't
really want to try and manage the configuration files automatically.

Thanks for your efforts,
-- 
Brian May <brian@microcomaustralia.com.au>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Fri, 04 Jun 2010 05:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Plissonneau Duquène <exp-end-2010-06-88a41947@aqiii.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Fri, 04 Jun 2010 05:03:06 GMT) Full text and rfc822 format available.

Message #91 received at 389591@bugs.debian.org (full text, mbox):

From: Julien Plissonneau Duquène <exp-end-2010-06-88a41947@aqiii.org>
To: 389591@bugs.debian.org
Subject: status update
Date: Fri, 04 Jun 2010 06:50:47 +0200
Hello,

I have started to work on this.

There is a patch in
http://jira.freeswitch.org/browse/FSBUILD-279
that fixes several small issues.

Among other things, the source format was upgraded to 3.0 (quilt). This
allows more flexibility in patching things specifically for one distro or
another.

Upstream authors are going to keep linking statically to their own copies
of libs and want to remain able to build a .deb package this way, so this
should be taken into account when submitting changes to them. Also they do
not want to hear about bugs that cannot be reproduced with their own static
libs.

As a first step I am currently working on a debian-specific patch to remove
the dependency on the local copy of sqlite. This copy could then be
excluded from the orig tarball. The same approach can probably be used for
most of the other libraries in there.

Next I plan to implement configurable filesystem layouts in main configure
script to avoid things in /opt.

-- 
Julien Plissonneau Duquène






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Mon, 11 Oct 2010 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Schmidt <karl@xtronics.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Mon, 11 Oct 2010 22:12:03 GMT) Full text and rfc822 format available.

Message #96 received at 389591@bugs.debian.org (full text, mbox):

From: Karl Schmidt <karl@xtronics.com>
To: 389591@bugs.debian.org
Subject: Freeswitch VoIP server
Date: Mon, 11 Oct 2010 16:30:17 -0500
As a point of reference there is a guide to install on Debian here:

http://wiki.freeswitch.org/wiki/Installation_Guide

This is a package that would do well as a Debian package.


Proposed Package description:
Multi-Protocol Soft Switch with support for Skype, SIP, H.323 and GoogleTalk. Interfaces with other 
open source PBX systems such as sipXecs, Call Weaver, Bayonne, YATE or Asterisk.

FreeSWITCH supports many advanced SIP features such as presence/BLF/SLA as well as TCP TLS and sRTP. 
It also can be used as a transparent proxy with and without media in the path to act as a SBC 
(session border controller) and proxy T.38 and other end to end protocols. FreeSWITCH supports both 
wide and narrow band codecs


--------------------------------------------------------------------------------
Karl Schmidt                                  EMail Karl@xtronics.com
Transtronics, Inc.                              WEB http://xtronics.com
3209 West 9th Street                             Ph (785) 841-3089
Lawrence, KS 66049                              FAX (785) 841-0434

Always do right. This will gratify some people and astonish the rest. -- Mark Twain

--------------------------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>:
Bug#389591; Package wnpp. (Wed, 27 Jul 2011 16:26:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Amorim <nicholas@montrealconsultoria.com.br>. (Wed, 27 Jul 2011 16:26:50 GMT) Full text and rfc822 format available.

Message #101 received at 389591@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 389591@bugs.debian.org
Cc: control@bugs.debian.org
Subject: freeswitch: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 389591 RFP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.
noowner 389591
thanks

Hi,

This is an automatic email to change the status of freeswitch back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting freeswitch, please send a mail to
<control@bugs.debian.org> with:

 retitle 389591 ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.
 owner 389591 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <389591@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.' from 'ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:50:53 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Nicholas Amorim <nicholas@montrealconsultoria.com.br>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:50:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Tue, 28 Feb 2012 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to georg@riseup.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Feb 2012 22:09:06 GMT) Full text and rfc822 format available.

Message #110 received at 389591@bugs.debian.org (full text, mbox):

From: georg@riseup.net
To: 389591@bugs.debian.org
Subject: ITP/RFP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.
Date: Tue, 28 Feb 2012 23:06:23 +0100
Hi all,

Is anybody working on this?

Cheers,
Georg





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Wed, 29 Feb 2012 16:45:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ken Rice <krice@freeswitch.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Feb 2012 16:45:58 GMT) Full text and rfc822 format available.

Message #115 received at 389591@bugs.debian.org (full text, mbox):

From: Ken Rice <krice@freeswitch.org>
To: <389591@bugs.debian.org>
Subject: ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch
Date: Wed, 29 Feb 2012 10:44:45 -0600
[Message part 1 (text/plain, inline)]
We currently have a couple of FreeSWITCH Community Developers work on
getting this to a point where we can submit it...

Anyone is welcome to join us on the weekly FreeSWITCH Community Call Wed at
1PM (13:00) EST to talk about this.

Ken Rice
FreeSWITCH Stable Maintainer
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Mon, 24 Sep 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to William King <william.king@quentustech.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 24 Sep 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #120 received at 389591@bugs.debian.org (full text, mbox):

From: William King <william.king@quentustech.com>
To: Debian Bug Tracking System <389591@bugs.debian.org>
Subject: Re: RFP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application.
Date: Mon, 24 Sep 2012 16:05:41 -0700
Package: wnpp
Followup-For: Bug #389591
Owner: William King <william.king@quentustech.com>


Submitting Intent To Package freeswitch. 



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Wed, 26 Sep 2012 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to William King <william.king@quentustech.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 26 Sep 2012 17:21:06 GMT) Full text and rfc822 format available.

Message #125 received at 389591@bugs.debian.org (full text, mbox):

From: William King <william.king@quentustech.com>
To: Debian Bug Tracking System <389591@bugs.debian.org>
Subject: ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application
Date: Wed, 26 Sep 2012 10:17:05 -0700
Package: wnpp
Followup-For: Bug #389591
Owner: William King <william.king@quentustech.com>

Updating subject to reflect latest status.



Changed Bug submitter to 'Juan Manuel Coronado Zúñiga <juan.coronado@avatar.com.co>' from 'Juan Manuel Coronado Zúñiga <juan.coronado@avatar.com.co>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Mon, 03 Feb 2014 08:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 08:24:05 GMT) Full text and rfc822 format available.

Message #132 received at 389591@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 389591@bugs.debian.org
Cc: William King <william.king@quentustech.com>, Ken Rice <krice@freeswitch.org>
Subject: Re: ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application
Date: Mon, 03 Feb 2014 12:20:33 +0400
Hello William, Ken.

It's been more than 2 years ago when this debian bug #389591 has been
update for the last time, changing its status from RFP to ITP (request
for packaging into intention to package).

Has anything changed since that time?

I'm trying to run freeswitch on debian now, but it seems it is still in
very far from acceptable state, because of the habit of embedding 3rd
party libraries when needed or not.  I can try to clean some of that
up (for example, libtiff, pcre, ldns, curl, speex, opus, ldap - at
least - should be easy to replace with system (debian-provided) libs),
but if something is already done, maybe I may try to use that instead
of re-doing things again.

Or are there no plans to make the software within linux distributions
exist anymore, or maybe that's a bad idea somehow?

(Yes I've read recent (and not so recent) posts about embedding 3rd
party libs into the distribution).

Thanks,

/mjt



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Mon, 03 Feb 2014 15:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ken Rice <krice@freeswitch.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 15:12:09 GMT) Full text and rfc822 format available.

Message #137 received at 389591@bugs.debian.org (full text, mbox):

From: Ken Rice <krice@freeswitch.org>
To: Michael Tokarev <mjt@tls.msk.ru>, <389591@bugs.debian.org>
Cc: William King <william.king@quentustech.com>
Subject: Re: ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application
Date: Mon, 03 Feb 2014 09:08:40 -0600
There is work to enable use of system libs for some of these things. There
are others that wont happen at all ie: sofia-sip and spandsp... Patches are
welcome and you are welcome to join us on the weekly FreeSWITCH conference
calls to discuss this with the other devs to avoid duplication of efforts.


On 2/3/14 2:20 AM, "Michael Tokarev" <mjt@tls.msk.ru> wrote:

> Hello William, Ken.
> 
> It's been more than 2 years ago when this debian bug #389591 has been
> update for the last time, changing its status from RFP to ITP (request
> for packaging into intention to package).
> 
> Has anything changed since that time?
> 
> I'm trying to run freeswitch on debian now, but it seems it is still in
> very far from acceptable state, because of the habit of embedding 3rd
> party libraries when needed or not.  I can try to clean some of that
> up (for example, libtiff, pcre, ldns, curl, speex, opus, ldap - at
> least - should be easy to replace with system (debian-provided) libs),
> but if something is already done, maybe I may try to use that instead
> of re-doing things again.
> 
> Or are there no plans to make the software within linux distributions
> exist anymore, or maybe that's a bad idea somehow?
> 
> (Yes I've read recent (and not so recent) posts about embedding 3rd
> party libs into the distribution).
> 
> Thanks,
> 
> /mjt

-- 
Ken
http://www.FreeSWITCH.org
http://www.ClueCon.com
http://www.OSTAG.org
irc.freenode.net #freeswitch
Twitter: @FreeSWITCH






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#389591; Package wnpp. (Thu, 06 Mar 2014 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Le Cuirot <chewi@aura-online.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Mar 2014 18:03:05 GMT) Full text and rfc822 format available.

Message #142 received at 389591@bugs.debian.org (full text, mbox):

From: James Le Cuirot <chewi@aura-online.co.uk>
To: 389591@bugs.debian.org
Subject: Re: ITP: freeswitch -- Modular Media Switching Software Library and Soft-Switch Application
Date: Thu, 6 Mar 2014 18:01:10 +0000
Since Ken posted above, I have done a lot more work to make this
happen. Please note that I am not (usually) a Debian user but we do
have a mutual interest in seeing these libraries unbundled. Patches to
optionally unbundle PCRE and Speex will almost certainly be merged
soon. libedit also looks likely but I am waiting on a non-critical bug
fix from upstream. Unbundling SQLite is very controversial but heavy
duty tests are being run as I type to determine whether the upstream
version really causes memory corruption. Once this first round of
patches is out of the way, I may look at unbundling other libraries,
time permitting, but some are simply not feasible.

You can follow progress at:
http://jira.freeswitch.org/browse/FS-353

Regards,
James



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:18:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.